%define __spec_install_post /usr/lib/rpm/brp-compress

Summary: Linux Terminal Server Project (ltsp.org)
Name: ltsp_kernel
Version: 3.0.15
Release: 0
Copyright: GPL
Group: Networking/Admin
BuildRoot: /tmp/ltsp_kernel_rpm
AutoReqProv: no
###Requires: ltsp_core >= 3.0.0

%description
This provides a linux kernels for LTSP workstations and it provides
the kernel modules used by the LTSP workstations.

%prep
  #
  # Prepare the package for building on the development machine
  #

%build
  #
  # Build the package by compiling any source code, producing binaries
  # On the development machine
  #

%install
  #
  # Put the binaries where they belong on the development machine
  #

%clean
  # Cleanup after the build process on the development machine

%files
/opt
/tftpboot

%pre
  #
  # Just before the package is installed, this script will be run
  #

%post
  VERSION=2.4.24-ltsp-4
  EB_KERNEL=vmlinuz-${VERSION}
  PXEDIR=/tftpboot/lts/${VERSION}
  echo
  echo "Installing the PXE Kernel..."
  KERNEL_LEN=876394
  KERNEL_OFFSET_BLOCKS=11
  KERNEL_BLOCKS=`expr ${KERNEL_LEN} / 512`
  KERNEL_REMAINDER=`expr ${KERNEL_LEN} % 512`
  if [ ${KERNEL_REMAINDER} -gt 0 ]; then
    KERNEL_BLOCKS=`expr ${KERNEL_BLOCKS} + 1`
  fi
  INITRD_OFFSET_BLOCKS=`expr ${KERNEL_OFFSET_BLOCKS} + ${KERNEL_BLOCKS}`
  dd if=/tftpboot/lts/${EB_KERNEL}        \
     bs=512                               \
     skip=${KERNEL_OFFSET_BLOCKS}         \
     count=${KERNEL_BLOCKS}               \
     of=${PXEDIR}/bzImage-${VERSION}
  echo
  echo "Extracting un-tagged initrd"
  dd if=/tftpboot/lts/${EB_KERNEL}        \
     bs=512                               \
     skip=${INITRD_OFFSET_BLOCKS}         \
     of=${PXEDIR}/initrd-${VERSION}.gz
  echo
  echo "If you want to use PXE, then you need to take"
  echo "a look at /tftpboot/lts/${VERSION}/README.pxe"
  echo

%changelog
* Tue Apr 06 2004 Jim McQuillan <jam@Ltsp.org>
- Added the cx5530 sound driver that I forgot in previous release
* Sat Apr 03 2004 Jim McQuillan <jam@Ltsp.org>
- Customized for VIA C3
* Thu Apr 01 2004 Jim McQuillan <jam@Ltsp.org>
- Removed the trident fb driver
- Upgraded pxelinux.0 to 2.08
* Tue Feb 03 2004 Jim McQuillan <jam@Ltsp.org>
- Added support for nVidia network cards
- Updated to 2.4.24 kernel
- Added the supermount patch
* Sat Nov 01 2003 Jim McQuillan <jam@Ltsp.org>
- Added support for Broadcom gigabit cards
- Added patch for 3c940 gigabit cards
- Added APM support
* Tue Sep 23 2003 Jim McQuillan <jam@Ltsp.org>
- Updated to 2.4.22 kernel
- Added PXE support
* Sat Jul 05 2003 Jim McQuillan <jam@Ltsp.org>
- Fixed typo in the install.sh script
* Sat Jul 05 2003 Jim McQuillan <jam@Ltsp.org>
- Added LPP kernel
* Mon Jun 30 2003 Jim McQuillan <jam@Ltsp.org>
- Upgraded to 2.4.21 kernel
* Fri Apr 18 2003 Jim McQuillan <jam@Ltsp.org>
- Changed the DPORT to specify the lower numbered port for dhcp
* Fri Apr 11 2003 Jim McQuillan <jam@Ltsp.org>
- Added sundance NIC driver.
- Added DPORT option to kernel as kernel commandline arg
  to be passed to the /linuxrc script.  This number is the
  port that dhclient will use.
* Wed Sep 04 2002 Jim McQuillan <jam@ltsp.org>
- Updated to 2.4.19 kernel
- Added the cx5530 sound driver modules to support sound
  on the Jammin-125 workstation.
- Added PCI ids for natsemi cards
* Wed Jun 19 2002 Jim McQuillan <jam@ltsp.org>
- Updated to 2.4.18 kernel
- Removed the LPP support, because there isn't a LPP patch for 2.4.18 yet
* Tue Mar 12 2002 Jim McQuillan <jam@ltsp.org>
- Added hostname for BusyBox
* Mon Mar 11 2002 Jim McQuillan <jam@ltsp.org>
- Lots of clean and fixes
* Mon Dec 29 2001 Jim McQuillan <jam@ltsp.org>
- Fixed ownership on the README file
* Mon Dec 17 2001 Jim McQuillan <jam@ltsp.org>
- New rpm packages for LTSP 3.0.0
